module(...)
--auto generate data
DATA={
	[3001]={
		desc=[[Attacking a target 2 times, dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Phoenix Slash]],
		short_desc=[[Attack 1 target twice]],
		skill_icon=3001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Normal Attack]],
	},
	[3002]={
		desc=[[Attacking a target 3 times, each time dealing 70% damage. CD: 1 turn]],
		is_group=false,
		is_physic=false,
		name=[[Phoenix Wings]],
		short_desc=[[Attack 1 taarget 3 times]],
		skill_icon=3002,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Close click]],
	},
	[3003]={
		desc=[[ATK BUFF]],
		is_group=false,
		is_physic=false,
		name=[[ATK buff]],
		short_desc=[[Short description]],
		skill_icon=3003,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[ATK buff]],
	},
	[3004]={
		desc=[[Attacking a target and random enemy 3 times, each time dealing 40% damage. When defeated a target, the hit count will be increase 1 time. CD: 2 turns]],
		is_group=false,
		is_physic=false,
		name=[[Phoenix Burst]],
		short_desc=[[Randomly attacks the target 3 times and a random unit, killing the target has a chance to increase the attack turns.]],
		skill_icon=3004,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Small group fighting]],
	},
	[3005]={
		desc=[[Consumes 20% of current HP attacking a target 1 time, dealing 200% damage and dealing extra damage equal 30% HP loss]],
		is_group=false,
		is_physic=false,
		name=[[Flame Tether]],
		short_desc=[[Consumes a certain amount of HP, single attacks once and increases damage by 30% of HP loss.]],
		skill_icon=3005,
		sp=60,
		target_status=1,
		target_type=2,
		type_desc=[[Fury Skill]],
	},
	[3006]={
		desc=[[Every time defeat a target restore 5% HP of the target, HP restore not over 30% HP of caster.]],
		is_group=false,
		is_physic=false,
		name=[[Flame Totem]],
		short_desc=[[Short description]],
		skill_icon=3006,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3007]={
		desc=[[When being attacked has chance 5% counter with a normal attack]],
		is_group=false,
		is_physic=false,
		name=[[Phoenix Aether]],
		short_desc=[[Short description]],
		skill_icon=3007,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3101]={
		desc=[[Attacking a target 2 times, dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Jugular Mountain]],
		short_desc=[[Attack 1 target twice]],
		skill_icon=3101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Normal Attack]],
	},
	[3102]={
		desc=[[Attacking a target and random unit has 40% chance inflict Taunt. The unit taking taunt status can only using normal attack to caster. Duration 2 turns. CD:1  turn]],
		is_group=true,
		is_physic=false,
		name=[[Cracks Trembling The Heaven]],
		short_desc=[[Attacks target and 1 random unit, with a probability of taunting]],
		skill_icon=3102,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Council]],
	},
	[3103]={
		desc=[[Attacking a target and random unit, each time dealing 80% damage, has 10% chance to increase extra damage equal to 10% defense. CD: 2 turns]],
		is_group=true,
		is_physic=false,
		name=[[Cocytus]],
		short_desc=[[Attacks target and 1 random unit, with a chance to add the certain damage of DEF]],
		skill_icon=3103,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Small group fighting]],
	},
	[3104]={
		desc=[[Connect]],
		is_group=false,
		is_physic=false,
		name=[[Connect]],
		short_desc=[[Short description]],
		skill_icon=3104,
		sp=0,
		target_status=1,
		target_type=4,
		type_desc=[[Connect]],
	},
	[3105]={
		desc=[[Attacking a target and random unit, dealing 150% damage, and all damage taken of previous 2 turns will random dealing damage to 2 targets.]],
		is_group=true,
		is_physic=false,
		name=[[Excogitation]],
		short_desc=[[Attacks target and 1 random unit, and divides the total damage taken for the previous 2 turns]],
		skill_icon=3105,
		sp=60,
		target_status=1,
		target_type=2,
		type_desc=[[Fury Skill]],
	},
	[3106]={
		desc=[[Taking critical damage has a 5% chance most attacks will not lower your HP below 1]],
		is_group=false,
		is_physic=false,
		name=[[Ghost Blessing]],
		short_desc=[[Short description]],
		skill_icon=3106,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3107]={
		desc=[[At the end of each turn, has 2% chance cleanse 1 random debuff on yourself]],
		is_group=false,
		is_physic=false,
		name=[[Immortal]],
		short_desc=[[Short description]],
		skill_icon=3107,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3201]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Snow Arrow]],
		short_desc=[[Attack 1 target twice]],
		skill_icon=3201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[3202]={
		desc=[[Attacking a target and random 2 units, dealing 90% damage. CD: 1 turn]],
		is_group=true,
		is_physic=false,
		name=[[Frost Strike]],
		short_desc=[[Attack target and 1 random unit]],
		skill_icon=3202,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Group Attack]],
	},
	[3203]={
		desc=[[Cleanse 1 random debuff on yourself or a ally, the skill level higher is more types can be cleanse]],
		is_group=false,
		is_physic=false,
		name=[[Whispering Wind]],
		short_desc=[[Short description]],
		skill_icon=3203,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Remove buffs]],
	},
	[3204]={
		desc=[[Attacking a target and random unit, dealing 50% damage, has 40% chance to decrease speed by 20%, duration in 2 actions. CD: 2 turns]],
		is_group=true,
		is_physic=false,
		name=[[Frost Storm]],
		short_desc=[[Attack target and 1 random unit, chance to speed down]],
		skill_icon=3204,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Reduce speed]],
	},
	[3205]={
		desc=[[Attacking a target and random 2 units 3 times, each time dealing 40% damage and deal 80% extra damage to chose target before end action.]],
		is_group=true,
		is_physic=false,
		name=[[Ice Heart]],
		short_desc=[[Attacks 3 times on target and 2 random units, finally do 1 more attack on selected target]],
		skill_icon=3205,
		sp=60,
		target_status=1,
		target_type=2,
		type_desc=[[Fury Skill]],
	},
	[3206]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Snow Tonardo]],
		short_desc=[[Short description]],
		skill_icon=3206,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3207]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Freeze Wall]],
		short_desc=[[Short description]],
		skill_icon=3207,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3301]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Soul Slash]],
		short_desc=[[Attack 1 target twice]],
		skill_icon=3301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[3302]={
		desc=[[Attacking a target and random unit, dealing 70% damage, has a 40% chance to seal the target, the person who was sealed cannot action in 2 act. CD: turn]],
		is_group=true,
		is_physic=false,
		name=[[Sealing Soul]],
		short_desc=[[Attack the target and 1 random unit, Seal probability]],
		skill_icon=3302,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Control]],
	},
	[3303]={
		desc=[[Attacking the target, dealing 125% damage and shoot random target up to 3 times. Every shoot, the damage is decrease by 20% and has a chance 20% absorb half enemy SP.]],
		is_group=false,
		is_physic=false,
		name=[[Dragon Slayer]],
		short_desc=[[Attacks a target once, randomly ejects, has chance to reduce EVA]],
		skill_icon=3303,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Small and Wide Attack]],
	},
	[3304]={
		desc=[[Increase 20% speed, inflict seal to target duration in 2 action, if no action in next turn, decrease 70% DEF yourself]],
		is_group=false,
		is_physic=false,
		name=[[Absolute area]],
		short_desc=[[Short description]],
		skill_icon=3304,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Staminaen Control]],
	},
	[3305]={
		desc=[[Attacking a target and random 2 units 3 times, each time dealing 50% damage inflict debuff to target. The debuff will dealing 10% damage to the target at the end of turn and has a 30% chance to seal the target, the seal duration in 1 turn. Debuff duration in 3 turns]],
		is_group=true,
		is_physic=false,
		name=[[Fire Dragon Tie]],
		short_desc=[[Attacks 3 times on the target and 1 random unit, and add Spell, dealing damage and chance of Sealing for each round]],
		skill_icon=3305,
		sp=60,
		target_status=1,
		target_type=2,
		type_desc=[[Fury Skill]],
	},
	[3306]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Drink backwards]],
		short_desc=[[Short description]],
		skill_icon=3306,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3307]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Come back]],
		short_desc=[[Short description]],
		skill_icon=3307,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3401]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Lion Smash]],
		short_desc=[[Attack 1 target twice]],
		skill_icon=3401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[3402]={
		desc=[[Attacking a target 2 times, each time dealing damage equal to 60% of ATK, has a 20% chance to spread to 2 other targets, own splash damage is 70%. Cooldown skill: 1 round]],
		is_group=false,
		is_physic=false,
		name=[[Lion Gravity]],
		short_desc=[[Attacks one target 2 times, the probability of splashing to 2 targets]],
		skill_icon=3402,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Single]],
	},
	[3403]={
		desc=[[Add state to yourself (certain level can apply to allied unit), consume 30% HP, Increase CRIT DMG by 60%, duration in 1 action. CD: 3 turns]],
		is_group=false,
		is_physic=false,
		name=[[Ultimate Flare]],
		short_desc=[[Consumes a certain amount of HP, increases CRIT damage for allied unit]],
		skill_icon=3403,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Increase buffs]],
	},
	[3404]={
		desc=[[Silence]],
		is_group=false,
		is_physic=false,
		name=[[Silence]],
		short_desc=[[Short description]],
		skill_icon=3404,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Silent]],
	},
	[3405]={
		desc=[[Attacking a target 4 times, each time dealing 40% damage, if the target has been defeated will continue to trigger this skill 1 time on 1 random target up to 2 target]],
		is_group=false,
		is_physic=false,
		name=[[Light Destruction]],
		short_desc=[[Attacks 4 times on the target, if the unit dies, randomly casts 1 more skill on another unit]],
		skill_icon=3405,
		sp=60,
		target_status=1,
		target_type=2,
		type_desc=[[Fury Skill]],
	},
	[3406]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Time Defender]],
		short_desc=[[Short description]],
		skill_icon=3406,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3407]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Time Defender]],
		short_desc=[[Short description]],
		skill_icon=3407,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3501]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Crown of thorns]],
		short_desc=[[Attack 1 target twice]],
		skill_icon=3501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[3502]={
		desc=[[Restores HP to 2 allies, the amount of recovery is equal to 50% of Attack + fixed value, except for the selected target, priority is given to the unit lowest HP. CD: 1 Turn]],
		is_group=true,
		is_physic=false,
		name=[[Book of Talents]],
		short_desc=[[Restores HP of 2 allied units]],
		skill_icon=3502,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[HP increase group]],
	},
	[3503]={
		desc=[[Attacking a target and random 2 units, dealing 90% damage. CD: 1 turn]],
		is_group=true,
		is_physic=false,
		name=[[Temple of Sunset]],
		short_desc=[[Attack target and 1 random unit]],
		skill_icon=3503,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Small and Wide Attack]],
	},
	[3504]={
		desc=[[HP Shield]],
		is_group=false,
		is_physic=false,
		name=[[HP Recovery Shield]],
		short_desc=[[Short description]],
		skill_icon=3504,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[HP Recovery Shield]],
	},
	[3505]={
		desc=[[Attacking a target and 2 random unit 3 times, each time dealing 40% damage, has 30% chance to mark on the target duration 3 turns, if the target being defeated when mark duration not out, the unit will restore HP. The amount restore are max HP of unit]],
		is_group=true,
		is_physic=false,
		name=[[The Star Gate]],
		short_desc=[[Attacks 3 times on target and 2 random units, engraving probability, if the engraved unit dies, allied unit recovers HP]],
		skill_icon=3505,
		sp=60,
		target_status=1,
		target_type=2,
		type_desc=[[Fury Skill]],
	},
	[3506]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Weak Light]],
		short_desc=[[Short description]],
		skill_icon=3506,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3507]={
		desc=[[Passive]],
		is_group=false,
		is_physic=false,
		name=[[Falling Wings]],
		short_desc=[[Short description]],
		skill_icon=3507,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Passive]],
	},
	[3901]={
		desc=[[Normal Attack]],
		is_group=false,
		is_physic=false,
		name=[[Normal Attack]],
		short_desc=[[Short description]],
		skill_icon=3501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30101]={
		desc=[[Attacking a target 1 time, dealing 100% damage, having 32% chance to increase CRIT by 5%, until battle ends, stack up to 5 times.]],
		is_group=false,
		is_physic=false,
		name=[[Suzaku Attack]],
		skill_icon=30101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30102]={
		desc=[[Attacking a target 3 times, each time dealing 88% damage]],
		is_group=false,
		is_physic=false,
		name=[[Bird Beam]],
		skill_icon=30102,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30201]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Ruby Weapon]],
		skill_icon=30201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30202]={
		desc=[[Attacking all enemies 1 time, dealing 68% damage, having 24% chance to stun the target in 1 act]],
		is_group=true,
		is_physic=false,
		name=[[Verholy Strike]],
		skill_icon=30202,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30301]={
		desc=[[Consuming 10% of current HP, Attacking a target 1 time, dealing 110% damage]],
		is_group=false,
		is_physic=false,
		name=[[Encroaching Darkness]],
		skill_icon=30301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30302]={
		desc=[[Attacking a target 3 times, each time dealing 50% damage, convert 50% damage dealt to HP. When the target act HP will loss 3% duration 2 turn.]],
		is_group=false,
		is_physic=false,
		name=[[Dark Spirit]],
		skill_icon=30302,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30501]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Blood Shaker]],
		skill_icon=30501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30502]={
		desc=[[Attacks a target 3 times, dealing 110%, 125%, 140% damage]],
		is_group=false,
		is_physic=false,
		name=[[Bloody End]],
		skill_icon=30502,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30601]={
		desc=[[Attacking a target 1 time, dealing 90% damage]],
		is_group=false,
		is_physic=false,
		name=[[Icelit Wings]],
		skill_icon=30601,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30602]={
		desc=[[Active Invulnerable in 2 turn, all damage taken 50% chance most attacks will not lower your HP below 1 then entering to multi-hit]],
		is_group=false,
		is_physic=false,
		name=[[Icelit Burst]],
		skill_icon=30602,
		sp=60,
		target_status=1,
		target_type=3,
		type_desc=[[Attack a target]],
	},
	[30801]={
		desc=[[Attacking a target 1 time, dealing 90% damage. Having 10% chance inflict taunt on target 2 turns. When being taunt debuff enemy will automatic using normal attack and damage dealt will down to 50%]],
		is_group=false,
		is_physic=false,
		name=[[Thunder Strike]],
		skill_icon=30801,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[30802]={
		desc=[[Attacking target and 1 random unit 1 time, dealing 56% damage, having 34% chance to taunt the target at the same time in 2 act.]],
		is_group=true,
		is_physic=false,
		name=[[Thunder Launch]],
		skill_icon=30802,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31101]={
		desc=[[Attacking a target 1 time, dealing 100% damage, consume 5% HP for restore lowest HP unit in your team.]],
		is_group=false,
		is_physic=false,
		name=[[Chaos Thrust]],
		skill_icon=31101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31102]={
		desc=[[Restoring 21% of your maximum HP for 1 unit in your team, if use this skill revive a dead unit the skill will be cooldown in 2 turns. Cant revive yourself.]],
		is_group=false,
		is_physic=false,
		name=[[Full Thrust]],
		skill_icon=31102,
		sp=40,
		target_status=3,
		target_type=1,
		type_desc=[[Attack a target]],
	},
	[31201]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Life Beam]],
		skill_icon=31201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31202]={
		desc=[[Inflict silence to a target in 1 act, when being silence DMG increase 20%. (Silence rate base 100%, non resistant)]],
		is_group=false,
		is_physic=false,
		name=[[Hallowed Pray]],
		skill_icon=31202,
		sp=40,
		target_status=1,
		target_type=5,
		type_desc=[[Attack a target]],
	},
	[31301]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Iron Hammer]],
		skill_icon=31301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31302]={
		desc=[[Attacking a target 3 times, each time dealing 95% damage]],
		is_group=false,
		is_physic=false,
		name=[[Valetor Emblem]],
		skill_icon=31302,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31401]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Heart Key]],
		skill_icon=31401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31402]={
		desc=[[Attacking a target, dealing 50% damage, having 55% chance to continuously attack, minimum number of attacks is 3 times]],
		is_group=false,
		is_physic=false,
		name=[[Photon Missile]],
		skill_icon=31402,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31501]={
		desc=[[Attacking a target 1 time, dealing 90% damage]],
		is_group=false,
		is_physic=false,
		name=[[Elemental Charm]],
		skill_icon=31501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31502]={
		desc=[[Summon a Elf on your side, inheriting 38% Naveed HP, while Elf on battle all allies ATK increases 8%, and every action restores HP by 20% of the Elf's maximum HP. While Elf still alive on battle all enemy unit is dead cannot revive.]],
		is_group=false,
		is_physic=false,
		name=[[Elemental Mastery]],
		skill_icon=31502,
		sp=60,
		target_status=3,
		target_type=1,
		type_desc=[[Attack a target]],
	},
	[31503]={
		desc=[[When the Elf dies, will randomly dealing 50% damage to 2 enemy]],
		is_group=false,
		is_physic=false,
		name=[[Ultimate Charm]],
		skill_icon=31503,
		sp=60,
		target_status=3,
		target_type=1,
		type_desc=[[Full attack]],
	},
	[31601]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Dangerous Attack]],
		skill_icon=31601,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[31602]={
		desc=[[Attacking a target 1 time, dealing 345% damage, after killing the target will trigger Reserve]],
		is_group=false,
		is_physic=false,
		name=[[Stone Break]],
		skill_icon=31602,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40101]={
		desc=[[Attacking a target 1 time, dealing 90% damage]],
		is_group=false,
		is_physic=false,
		name=[[Electro Spike]],
		skill_icon=40101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40102]={
		desc=[[Consume 40% max HP (if not enough, Consume until 1 HP remains), grant a shield to all allies, shield can absorb equal to the amount of HP consumed *110% (all attack breaking the shield will not dealing damage to the target), duration 2 turn. When shield has been destroy will dealing 25% damage to attacker]],
		is_group=false,
		is_physic=false,
		name=[[Electro Power]],
		skill_icon=40102,
		sp=40,
		target_status=1,
		target_type=1,
		type_desc=[[Attack a target]],
	},
	[40201]={
		desc=[[Attacking target 2 times, each time dealing 50% damage, and having 15% chance to grant 1 Doom, stack up to 3 times]],
		is_group=false,
		is_physic=false,
		name=[[Dynamo Claw]],
		skill_icon=40201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40202]={
		desc=[[Attacking all 2 times, dealing 60% damage each time, and trigger Doom, and taking 30% extra damage]],
		is_group=true,
		is_physic=false,
		name=[[Burning Claw]],
		skill_icon=40202,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40301]={
		desc=[[Attacking a target 1 time, dealing 100% damage, 10% chance inflict poison, duration 2 turns]],
		is_group=false,
		is_physic=false,
		name=[[Heavy Strike]],
		skill_icon=40301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40302]={
		desc=[[Attacking  the target 2 times and 1 random unit, each time dealing 57% damage, having 30% chance inflict poison, duration 2 turns, when the act is over will take 20% damage of Grandiel attack]],
		is_group=true,
		is_physic=false,
		name=[[Massive Strike]],
		skill_icon=40302,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40401]={
		desc=[[Attacking a target 1 time, dealing 100% damage, 60% chance to increase 0.5 SP]],
		is_group=false,
		is_physic=false,
		name=[[Muscle Attack]],
		skill_icon=40401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40402]={
		desc=[[Consuming 15% of current HP, increases 1 SP]],
		is_group=false,
		is_physic=false,
		name=[[Muscle Strike]],
		skill_icon=40402,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Attack a target]],
	},
	[40501]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Watermelon Throw]],
		skill_icon=40501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40502]={
		desc=[[Attacking the target, dealing 125% damage, random target shoots, up to 3 times. Each shoot damage dealt is reduced by 20% and 20% absorb 0.5 SP]],
		is_group=false,
		is_physic=false,
		name=[[Banana Strike]],
		skill_icon=40502,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40701]={
		desc=[[Attacks a target 1 time, dealing 90% damage, convert 20% damage dealt to HP]],
		is_group=false,
		is_physic=false,
		name=[[Light Slash]],
		skill_icon=40701,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40702]={
		desc=[[Restores HP all allies 82% of unit attack]],
		is_group=true,
		is_physic=false,
		name=[[Calculator]],
		skill_icon=40702,
		sp=40,
		target_status=1,
		target_type=1,
		type_desc=[[Attack a target]],
	},
	[40901]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Photon Strike]],
		skill_icon=40901,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[40902]={
		desc=[[Attacking a target, dealing 292% damage. When target's HP is below 30%, dealt extra 30% damage]],
		is_group=false,
		is_physic=false,
		name=[[Blooded Witch]],
		skill_icon=40902,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41001]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Baseball Attack]],
		skill_icon=41001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41002]={
		desc=[[Grant speed buff for an ally for next turn (if the target already act this turn, the effect will loss), and increases SPD 35% for all allies in 1 turn.]],
		is_group=false,
		is_physic=false,
		name=[[Ultimate Shoot]],
		skill_icon=41002,
		sp=40,
		target_status=1,
		target_type=4,
		type_desc=[[Attack a target]],
	},
	[41201]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Fast Slash]],
		skill_icon=41201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41202]={
		desc=[[Attacking a target 1 time, 70% chance dealing 375% DMG, do you want to restore HP of 60% Liana ATK to the enemy.]],
		is_group=false,
		is_physic=false,
		name=[[Holy Water]],
		skill_icon=41202,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41301]={
		desc=[[Attacking a target 2 times, each time dealing 45% damage]],
		is_group=false,
		is_physic=false,
		name=[[Byakko Sword]],
		skill_icon=41301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41302]={
		desc=[[Attacking all targets 3 times, each time dealing 27% damage]],
		is_group=true,
		is_physic=false,
		name=[[Byakko Strike]],
		skill_icon=41302,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[41401]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Detrustion Ball]],
		skill_icon=41401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41402]={
		desc=[[Attacking target and 1 random unit 1 time, dealing 120% damage, having 40% chance to reduce SPD by 40% in 2 turns]],
		is_group=true,
		is_physic=false,
		name=[[Evil Mask]],
		skill_icon=41402,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[41501]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Meteor Rain]],
		skill_icon=41501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41502]={
		desc=[[Use tether connect all allies, all damage taken will sharing for all allies, duration before the act of Callisto]],
		is_group=true,
		is_physic=false,
		name=[[Dark Mask]],
		skill_icon=41502,
		sp=40,
		target_status=1,
		target_type=1,
		type_desc=[[Support]],
	},
	[41601]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Evill Staff]],
		skill_icon=41601,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41602]={
		desc=[[Summon an Nightmare on your side., inheriting 24% Loman HP. while Nightmare on battle all enemy act will has 25% chance trigger Sleep in 1 act (for every debuff on enemey, the chance wll increase  by 5%). When being attacked has 50% chance wake up.]],
		is_group=false,
		is_physic=false,
		name=[[Telephone Strike]],
		skill_icon=41602,
		sp=40,
		target_status=3,
		target_type=1,
		type_desc=[[Summon]],
	},
	[41701]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Lightning Attack]],
		skill_icon=41701,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41702]={
		desc=[[Reflect debuff an ally or yourself in 2 act. During this time, when this unit taking damage without debuff has 23% chance to stun attacker in 1 act]],
		is_group=false,
		is_physic=false,
		name=[[Lightning Strike]],
		skill_icon=41702,
		sp=20,
		target_status=1,
		target_type=1,
		type_desc=[[Support]],
	},
	[41801]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Chaos Herotic]],
		skill_icon=41801,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[41802]={
		desc=[[Attacking all 3 times, each time dealing 35% damage]],
		is_group=true,
		is_physic=false,
		name=[[Wormhole Formation]],
		skill_icon=41802,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50101]={
		desc=[[Attacking a target 2 times,  each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Boxing Attack]],
		skill_icon=50101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50102]={
		desc=[[Attacking a target 3 times,  each time dealing 80% damage]],
		is_group=false,
		is_physic=false,
		name=[[Boxing Master]],
		skill_icon=50102,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50201]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Soul Gauge]],
		skill_icon=50201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50202]={
		desc=[[Attacking all enemies 1 time, dealing (270%/number of targets) damage]],
		is_group=true,
		is_physic=false,
		name=[[Waxing Slice]],
		skill_icon=50202,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50301]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Black Fire]],
		skill_icon=50301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50302]={
		desc=[[Attacking all enemies 1 time, dealing 108% damage]],
		is_group=true,
		is_physic=false,
		name=[[Slaughter the Devil]],
		skill_icon=50302,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50401]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Buffterfly Slash]],
		skill_icon=50401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50402]={
		desc=[[Attacking target and 2 random units 3 times, each time dealing 33% damage and 13% chance trigger a Anti-SP BUFF, when unit being attacked by SP skill will reflect 130% damage for attacker in 3 acts. Every turn is end dealing 35% extra damage.]],
		is_group=true,
		is_physic=false,
		name=[[Phantom Rush]],
		skill_icon=50402,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50501]={
		desc=[[Attacking a target 2 times, dealing 50% damage each time]],
		is_group=false,
		is_physic=false,
		name=[[Twin Snakes]],
		skill_icon=50501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50502]={
		desc=[[Attacking random all target 3 times, each time dealing 100% damage, each Eruption increases 1 time attack then remove all Eruption when finished the skill]],
		is_group=false,
		is_physic=false,
		name=[[Steel Peak]],
		skill_icon=50502,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50601]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Revolution Star]],
		skill_icon=50601,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50602]={
		desc=[[Attacking all enemies 1 time, dealing 85% damage and having 70% chance dispel 1 buff from the enemy]],
		is_group=true,
		is_physic=false,
		name=[[Power Regen]],
		skill_icon=50602,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50701]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Death Gauge]],
		skill_icon=50701,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50702]={
		desc=[[Attacking a target 3 times, each time dealing 84% damage]],
		is_group=false,
		is_physic=false,
		name=[[Spinning Scythe]],
		skill_icon=50702,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50801]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Ice Ball]],
		skill_icon=50801,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50802]={
		desc=[[Summon random a defeated enemy (invalid monsters), when entering the battle HP is 30% and have 10% chance summon 2 heros]],
		is_group=false,
		is_physic=false,
		name=[[Frostbite]],
		skill_icon=50802,
		sp=40,
		target_status=3,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50901]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Slash Cut]],
		skill_icon=50901,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[50902]={
		desc=[[Attacking target and 1 random unit 1 time, dealing 110% damage, have 32% chance inflict silence the target in 2 turns]],
		is_group=true,
		is_physic=false,
		name=[[Detrustion Light]],
		skill_icon=50902,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51001]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Hell's Ingress]],
		skill_icon=51001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51002]={
		desc=[[Attacking a target 1 time, dealing 270% damage, before dealing damage to target, this shot will spread to all enemy (except summon hero).]],
		is_group=false,
		is_physic=false,
		name=[[Whorl of Death]],
		skill_icon=51002,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51101]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Doom Strike]],
		skill_icon=51101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51102]={
		desc=[[Attacking the target 2 times and 2 random units, each time dealing 52% damage, and have 32% chance disabled target Atifact effect and passive skill in 2 turns]],
		is_group=true,
		is_physic=false,
		name=[[Doom Surge]],
		skill_icon=51102,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51201]={
		desc=[[Attacking a target 1 time, dealing 100% damage]],
		is_group=false,
		is_physic=false,
		name=[[Summoned Slash]],
		skill_icon=51201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51202]={
		desc=[[Attacking the enemy target 3 times, each time dealing 55% damage, each mark will dealing damage 1 more target then remove all mark.]],
		is_group=false,
		is_physic=false,
		name=[[Skull Strike]],
		skill_icon=51202,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51301]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Legona Attack]],
		skill_icon=51301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51302]={
		desc=[[Attacking all 3 times, each time dealing 35% damage]],
		is_group=true,
		is_physic=false,
		name=[[Falling Petals]],
		skill_icon=51302,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51401]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Machine Strike]],
		skill_icon=51401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51402]={
		desc=[[Attacking all enemies 1 time, dealing 115% damage]],
		is_group=true,
		is_physic=false,
		name=[[Machine Burst]],
		skill_icon=51402,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51501]={
		desc=[[Attacks a target 1 time, dealing 100% damage, convert 20% damage dealt to HP]],
		is_group=false,
		is_physic=false,
		name=[[Fire Bird]],
		skill_icon=51501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51502]={
		desc=[[Attacking all enemies 1 time, dealing 96% damage, having 34% chance to taunt the target at the same time in 2 act.]],
		is_group=true,
		is_physic=false,
		name=[[Phoenix Rising]],
		skill_icon=51502,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[51601]={
		desc=[[Attacking a target 1 time, dealing 90% damage]],
		is_group=false,
		is_physic=false,
		name=[[Alice Slast]],
		skill_icon=51601,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51602]={
		desc=[[Grant a buff all ally, Increase 10% ATK in 2 act.]],
		is_group=true,
		is_physic=false,
		name=[[Alice Blessing]],
		skill_icon=51602,
		sp=40,
		target_status=1,
		target_type=1,
		type_desc=[[Support]],
	},
	[51701]={
		desc=[[Attacking a target 2 times, each time dealing 50% damage]],
		is_group=false,
		is_physic=false,
		name=[[Dreamland Twist]],
		skill_icon=51701,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51702]={
		desc=[[Attacks all enemies 3 times, each time dealing 35% damage, convert 50% damage dealt to HP]],
		is_group=true,
		is_physic=false,
		name=[[Glorious Strike]],
		skill_icon=51702,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[51801]={
		desc=[[Attacking a target 1 time, dealing 90% damage. Having 20% chance to sleep on target 1 turns]],
		is_group=false,
		is_physic=false,
		name=[[Hurricane Dance]],
		skill_icon=51801,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[51802]={
		desc=[[Attacking the target 3 times and 2 random units, each time dealing 52% damage, and have 32% chance to sleep on target 2 turns]],
		is_group=true,
		is_physic=false,
		name=[[Taichi]],
		skill_icon=51802,
		sp=40,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100201]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=100201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100202]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=100202,
		sp=20,
		target_status=1,
		target_type=4,
		type_desc=[[Attack a target]],
	},
	[100401]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=100401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100402]={
		desc=[[Self increases 10% CRIT rate, maintains 2 times of action]],
		is_group=false,
		is_physic=false,
		name=[[It's time]],
		skill_icon=100402,
		sp=20,
		target_status=1,
		target_type=3,
		type_desc=[[Attack a target]],
	},
	[100501]={
		desc=[[Attacks a single target 3 times, each time dealing damage equal to 33% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Salty Fish-Strike]],
		skill_icon=100501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100502]={
		desc=[[Attacks a single target 3 times, dealing damage equal to 40% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Salty Fish-Throws]],
		skill_icon=100502,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100601]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Monster Power]],
		skill_icon=100601,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100602]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Meat Hammer]],
		skill_icon=100602,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100701]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Swing the rice shovel]],
		skill_icon=100701,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100702]={
		desc=[[Attacks all once, dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[Dreary]],
		skill_icon=100702,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100901]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=100901,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[100902]={
		desc=[[Total number of times to attack with random enemy target is 5 times, each time damage is 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=100902,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101002]={
		desc=[[Restores the HP of 1 allied unit, the amount of restoration equal to 50% ATK of this hero]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101002,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Support]],
	},
	[101101]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101102]={
		desc=[[Remove 1 random abnormal state for 1 allied unit]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101102,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Support]],
	},
	[101201]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[drop role_db]],
		skill_icon=101201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101202]={
		desc=[[Attacks a single target 3 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[include<stdio.h>]],
		skill_icon=101202,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101401]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101402]={
		desc=[[Attacks all enemies 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101402,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[101501]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Perfect Key]],
		skill_icon=101501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101502]={
		desc=[[Attacks all enemies once, dealing damage equal to 50% of ATK each time]],
		is_group=true,
		is_physic=false,
		name=[[Three Slash]],
		skill_icon=101502,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[101601]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101601,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101602]={
		desc=[[Attacks all enemies once, dealing damage equal to 50% of ATK each time]],
		is_group=true,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=101602,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[101801]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=101801,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[101802]={
		desc=[[Cast a buff on an allied unit, increases damage dealt by 30%, maintains 2 times of action]],
		is_group=false,
		is_physic=false,
		name=[[Support]],
		skill_icon=101802,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Support]],
	},
	[102001]={
		desc=[[Attacks a single target twice, dealing damage equal to 50% ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=102001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[102002]={
		desc=[[Attacks all enemies 3 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=102002,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[110001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=110001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[110002]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=110002,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[110201]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=110201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[110202]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=110202,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[115001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Reveal Talent]],
		skill_icon=115001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[115002]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Brilliant Vortex]],
		skill_icon=115002,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[115101]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Instant Smash]],
		skill_icon=115101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[115102]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Sweep Drunken Yeast]],
		skill_icon=115102,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[115201]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[High Speed ​​Movement]],
		skill_icon=115201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[115202]={
		desc=[[Attacks all enemies once, dealing damage equal to 100% of ATK (detonates and disappears)]],
		is_group=true,
		is_physic=false,
		name=[[Self Explode]],
		skill_icon=115202,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[115401]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Super Speed Collision]],
		skill_icon=115401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[115402]={
		desc=[[SP]],
		is_group=false,
		is_physic=false,
		name=[[Stray Bullet]],
		skill_icon=115402,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[120001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=120001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[120002]={
		desc=[[Attacks a target 2 times, dealing damage equal to 150% of ATK each time]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=120002,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[120101]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=120101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[120102]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=120102,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[150101]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=150101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[150102]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=150102,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[150201]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=150201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[150202]={
		desc=[[Casts a buff on all allied units to increase their damage by 30%, maintains 2 times of action]],
		is_group=true,
		is_physic=false,
		name=[[Hungry]],
		skill_icon=150202,
		sp=0,
		target_status=1,
		target_type=1,
		type_desc=[[Support]],
	},
	[151101]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[hello]],
		skill_icon=151101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[151102]={
		desc=[[Attacks all enemies 3 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[world]],
		skill_icon=151102,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Full attack]],
	},
	[151201]={
		desc=[[Attacks a single target 3 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[for]],
		skill_icon=151201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[151202]={
		desc=[[Each enemy unit takes damage a random number of times 3-6 times, each time the damage is equal to 50% of ATK. Finally take 1 final damage equal to 100% of ATK.]],
		is_group=true,
		is_physic=false,
		name=[[select * from role]],
		skill_icon=151202,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[160001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=160001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[160002]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=160002,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[165001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=165001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[165002]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=165002,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[170001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=170001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[170002]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[It's time]],
		skill_icon=170002,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175001]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=175001,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175002]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[It's time]],
		skill_icon=175002,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175101]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Snap Punch]],
		skill_icon=175101,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175102]={
		desc=[[Attacks a single target 2 times, each time dealing damage equal to 50% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[It's time]],
		skill_icon=175102,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175201]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[You Dare To Bite Me]],
		skill_icon=175201,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175202]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=true,
		is_physic=false,
		name=[[You Dare To Bite Me]],
		skill_icon=175202,
		sp=20,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175301]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[A Bean Cake]],
		skill_icon=175301,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175401]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[Strike Meat Bag]],
		skill_icon=175401,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
	[175501]={
		desc=[[Single attack 1 time, dealing damage equal to 100% of ATK]],
		is_group=false,
		is_physic=false,
		name=[[You Dare To Bite Me]],
		skill_icon=175501,
		sp=0,
		target_status=1,
		target_type=2,
		type_desc=[[Attack a target]],
	},
}
